Subject: [alpine-aports] [PATCH] main/mdds: upgrade to 1.1.0

From: Sören Tempel <[email-masked]>
Date: Mon, 15 Feb 2016 22:31:36 +0100

---
 main/mdds/APKBUILD | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

diff --git a/main/mdds/APKBUILD b/main/mdds/APKBUILD
index e605a5d..78ab734 100644
--- a/main/mdds/APKBUILD
+++ b/main/mdds/APKBUILD
@@ -1,21 +1,23 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Contributor: Timo Teräs <[email-masked]>
 # Maintainer: Timo Teräs <[email-masked]>
 pkgname=mdds
-pkgver=0.12.1
+pkgver=1.1.0
+_commit=ef218ea3d0c7e6e8cc1dc2b3a36149dd6f431155
 pkgrel=0
 pkgdesc="Multi-dimentional data index algorithm"
-url="https://code.google.com/p/multidimalgorithm/"
+url="https://gitlab.com/mdds/mdds"
 arch="noarch"
 license="MIT"
 depends=""
 depends_dev=""
-makedepends="$depends_dev"
+makedepends="automake autoconf"
 install=""
 subpackages="$pkgname-dev $pkgname-doc"
-source="http://kohei.us/files/$pkgname/src/${pkgname}_$pkgver.tar.bz2
+source="$pkgname-$pkgver.tar.gz::https://gitlab.com/$pkgname/$pkgname/repository/archive.tar.gz?ref=$pkgver
 	"
 
-_builddir="$srcdir"/${pkgname}_$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver-$_commit
 prepare() {
 	local i
 	cd "$_builddir"
@@ -24,6 +26,8 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
+
+	./autogen.sh || return 1
 }
 
 build() {
@@ -33,8 +37,8 @@ build() {
 		--host=$CHOST \
 		--prefix=/usr \
 		--sysconfdir=/etc \
+		--docdir="/usr/share/doc/$pkgname" \
 		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
 		--localstatedir=/var \
 		|| return 1
 	make || return 1
@@ -47,6 +51,6 @@ package() {
 	mv "$pkgdir"/usr/share/pkgconfig "$pkgdir"/usr/lib/
 }
 
-md5sums="ef2560ed5416652a7fe195305b14cebe  mdds_0.12.1.tar.bz2"
-sha256sums="23565e9d7810a6ac30478833813db847f80e927b414a7be07b7cc03ed3aae83d  mdds_0.12.1.tar.bz2"
-sha512sums="852f58e1f3c18aef78646c2bd6b34dc544fc06cba7ef6bda2a44fd5e681bf47bbf7389505061ddd81797b0bdf343e55f060397a1ccc582c73990bc74d36575a6  mdds_0.12.1.tar.bz2"
+md5sums="6d342a3dfd4543226fac809fe3de80fc  mdds-1.1.0.tar.gz"
+sha256sums="457da61cb46947413d05bb6dc948f8d0e1cf4ec79b1d1013a5c1038b720eaec4  mdds-1.1.0.tar.gz"
+sha512sums="e08af101cc9f1c54a3b957fa2bb0c833b31128914d33137d259c6b01f348d5c51a1d9691e8b0da1eee43e3d7bb6375d3ec80446d96cbecfe193b381a6e5cca8d  mdds-1.1.0.tar.gz"
-- 
2.7.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---